utl::meta::quote< F > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename... Args>
using | apply = eval< defer< F, Args... > >

## Detailed Description

### template<template< typename... > class F>
struct utl::meta::quote< F >

quote

quote deferred is a higher-order primitive that wraps an n-ary Metafunction to create a corresponding Metafunction Class (Invocable) using defer<> to postpone the evaluation of Metafunction. This is a safe version of `wrap<>`. Again this way we can pass Metafunctions as types to other metafunctions and let them `invoke` the inner templated apply

Definition at line 234 of file invoke.h.

## Member Typedef Documentation

## apply

template<template< typename... > class F>
template<typename... Args>

using utl::meta::quote< F >::apply = eval< defer<F, Args...> >

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 238 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h